package org.JUnitTest;



import junit.framework.Test;

import junit.framework.TestSuite;



/**

 * This class is written to perform test methods written in 
 * org.JUnitTest.RectangleTest class. The test method to be tested can be 
 * added to the suite via following way: 
 * "suite.addTest(new TestClassName("testMethodName"))"

 *

 * @author Alptug Dilek

 */


public class SampleTestSuite

{

	public static Test suite()

	{

		/*

		 * Note that testCenter1 should not be called after testTranslate,

		 * testNewLeftTop or testDimension due to specifications of the code

		 * written. Any other order is valid.

		 */



		TestSuite suite = new TestSuite();

		suite.addTest(new RectangleTest("testInitial"));

		suite.addTest(new RectangleTest("testCenter1"));

		suite.addTest(new RectangleTest("testTranslate"));

		suite.addTest(new RectangleTest("testCenter2"));

		suite.addTest(new RectangleTest("testNewLeftTop"));

		suite.addTest(new RectangleTest("testDimension"));


		return suite;

	}

}

